Bug 1007747 - (CVE-2016-9112) VUL-0: CVE-2016-9112: openjpeg2: FPE(Floating Point Exception) in lib/openjp2/pi.c:523
(CVE-2016-9112)
VUL-0: CVE-2016-9112: openjpeg2: FPE(Floating Point Exception) in lib/openjp2...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/174263/
CVSSv2:RedHat:CVE-2016-9113:4.3:(AV:N...
:
Depends on:
Blocks: 1015662
  Show dependency treegraph
 
Reported: 2016-10-31 11:24 UTC by Alexander Bergmann
Modified: 2017-10-26 08:31 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
openjpeg2-CVE-2016-9112.patch (5.74 KB, patch)
2016-12-21 05:07 UTC, Hans Petter Jansson
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2016-10-31 11:24:01 UTC
CVE-2016-9112

Floating Point Exception (aka FPE or divide by zero) in opj_pi_next_cprl
function in openjp2/pi.c:523 in OpenJPEG 2.1.2.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2016-9112
http://www.cvedetails.com/cve/CVE-2016-9112/
https://github.com/uclouvain/openjpeg/issues/855
Comment 1 Swamp Workflow Management 2016-10-31 23:01:48 UTC
bugbot adjusting priority
Comment 4 Hans Petter Jansson 2016-12-21 05:07:27 UTC
Created attachment 707359 [details]
openjpeg2-CVE-2016-9112.patch
Comment 6 Swamp Workflow Management 2016-12-27 14:08:28 UTC
SUSE-SU-2016:3270-1: An update that fixes 13 vulnerabilities is now available.

Category: security (important)
Bug References: 1002414,1007739,1007740,1007741,1007742,1007743,1007744,1007747,1014543,1014975,999817
CVE References: CVE-2016-7445,CVE-2016-8332,CVE-2016-9112,CVE-2016-9113,CVE-2016-9114,CVE-2016-9115,CVE-2016-9116,CVE-2016-9117,CVE-2016-9118,CVE-2016-9572,CVE-2016-9573,CVE-2016-9580,CVE-2016-9581
Sources used:
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    openjpeg2-2.1.0-3.1
SUSE Linux Enterprise Server 12-SP2 (src):    openjpeg2-2.1.0-3.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    openjpeg2-2.1.0-3.1
Comment 8 Bernhard Wiedemann 2017-01-11 19:01:07 UTC
This is an autogenerated message for OBS integration:
This bug (1007747) was mentioned in
https://build.opensuse.org/request/show/449727 13.2 / openjpeg2
https://build.opensuse.org/request/show/449730 42.1 / openjpeg2
Comment 9 Swamp Workflow Management 2017-01-16 18:22:28 UTC
openSUSE-SU-2017:0155-1: An update that fixes 13 vulnerabilities is now available.

Category: security (important)
Bug References: 1002414,1007739,1007740,1007741,1007742,1007743,1007744,1007747,1014543,1014975,999817
CVE References: CVE-2016-7445,CVE-2016-8332,CVE-2016-9112,CVE-2016-9113,CVE-2016-9114,CVE-2016-9115,CVE-2016-9116,CVE-2016-9117,CVE-2016-9118,CVE-2016-9572,CVE-2016-9573,CVE-2016-9580,CVE-2016-9581
Sources used:
openSUSE Leap 42.2 (src):    openjpeg2-2.1.0-11.1
Comment 10 Swamp Workflow Management 2017-01-17 18:49:01 UTC
openSUSE-SU-2017:0185-1: An update that fixes 13 vulnerabilities is now available.

Category: security (important)
Bug References: 1002414,1007739,1007740,1007741,1007742,1007743,1007744,1007747,1014543,1014975,999817
CVE References: CVE-2016-7445,CVE-2016-8332,CVE-2016-9112,CVE-2016-9113,CVE-2016-9114,CVE-2016-9115,CVE-2016-9116,CVE-2016-9117,CVE-2016-9118,CVE-2016-9572,CVE-2016-9573,CVE-2016-9580,CVE-2016-9581
Sources used:
openSUSE 13.2 (src):    openjpeg2-2.1.0-2.3.1
Comment 11 Swamp Workflow Management 2017-01-19 14:10:25 UTC
openSUSE-SU-2017:0207-1: An update that fixes 13 vulnerabilities is now available.

Category: security (important)
Bug References: 1002414,1007739,1007740,1007741,1007742,1007743,1007744,1007747,1014543,1014975,999817
CVE References: CVE-2016-7445,CVE-2016-8332,CVE-2016-9112,CVE-2016-9113,CVE-2016-9114,CVE-2016-9115,CVE-2016-9116,CVE-2016-9117,CVE-2016-9118,CVE-2016-9572,CVE-2016-9573,CVE-2016-9580,CVE-2016-9581
Sources used:
openSUSE Leap 42.1 (src):    openjpeg2-2.1.0-9.1
Comment 12 Swamp Workflow Management 2017-09-26 01:11:02 UTC
openSUSE-SU-2017:2567-1: An update that fixes 15 vulnerabilities is now available.

Category: security (important)
Bug References: 1002414,1007739,1007740,1007741,1007742,1007743,1007744,1007747,1014543,1014975,979907,997857,999817
CVE References: CVE-2015-8871,CVE-2016-7163,CVE-2016-7445,CVE-2016-8332,CVE-2016-9112,CVE-2016-9113,CVE-2016-9114,CVE-2016-9115,CVE-2016-9116,CVE-2016-9117,CVE-2016-9118,CVE-2016-9572,CVE-2016-9573,CVE-2016-9580,CVE-2016-9581
Sources used:
SUSE Package Hub for SUSE Linux Enterprise 12 (src):    openjpeg2-2.1.0-5.1, openjpeg2-2.1.0-6.1
Comment 13 Marcus Meissner 2017-10-26 08:31:52 UTC
released